Get all location attributes - Fabric
Get all location attributes
cURL
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/location/attribute \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/location/attribute"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/location/attribute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 200
- 400
- 409
- 500
Sample Response
[
{
"id": "622786ae0bdb19221a24fb61",
"code": "isBopis",
"name": "Is Bopis",
"description": "To check the status of the BOPIS (Buy-Online_Pickup-In-Store)",
"required": true
}
]
{
"message": "Invalid payload or parameter"
}
{
"message": "Entered code is a duplicated code"
}
{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
Headers
Authorization
- Type: string
- Location: header
- Required: Yes
Bearer authentication header of the formBearer <token>, where<token>is your auth token.
x-site-context
- Type: string
- Required: Yes
Thex-site-contextheader is a JSON object that contains information about the source you wish to pull from. The mandatoryaccountis the 24 character identifier found in Copilot. Thechannel(Sales channel ID),stage(environment name), anddateattributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Response Structure
- id: string
Location attribute ID that is generated automatically for the location
Example: `